# $Revision: 1.21 $, $Date: 2007/06/21 17:10:50 $
# TODO
# - kde control panel applet doesn't get found
#   (recheck - probably caused by old -dt patch which added NotShowIn=KDE instead of OnlyShowIn)
Summary:	A GTK+ theme engine that uses Qt for drawing
Summary(pl.UTF-8):	Silnik graficzny wykorzystujący Qt do rysowania kontrolek GTK+
Name:		gtk2-theme-engine-qt
Version:	0.7
Release:	1
License:	GPL
Group:		Themes/GTK+
Source0:	http://people.freedesktop.org/~davidsansome/gtk-qt-engine-%{version}.tar.bz2
# Source0-md5:	27ca211621f38c45b1c4c9e9ef1f84b0
Patch0:		kde-ac260-lt.patch
Patch1:		kde-ac260.patch
Patch2:		kde-am110.patch
URL:		http://gtk-qt.ecs.soton.ac.uk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	kdelibs-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	pkgconfig
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This GTK+ theme engine uses the currently selected Qt style to do it's
drawing. Basically, it makes your GTK+ apps look like Qt ones.

%description -l pl.UTF-8
Ten silnik graficzny do rysowania kontrolek GTK+ używa aktualnie
wybranego stylu Qt. Inaczej mówiąc - sprawia, że aplikacje GTK+
wyglądają jak aplikacje Qt.

%prep
%setup -q -n gtk-qt-engine
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__make} -f admin/Makefile.common cvs

%build
export QTLIB=%{_libdir}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# proper category
sed -i 's/Categories=.*/Categories=X-KDE-settings-looknfeel;/' \
	$RPM_BUILD_ROOT%{_desktopdir}/kcmgtk-xdg.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/gtk-2.0/*/engines/*.so
%{_datadir}/themes/Qt
%{_datadir}/gtk-qt-engine
%{_desktopdir}/*.desktop
%{_libdir}/kde3/kcm_kcmgtk.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kcmgtk.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk2-theme-engine-qt.spec,v $
Revision 1.21  2007/06/21 17:10:50  wolf
- url

Revision 1.20  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.18  2006/12/27 22:08:44  qboosh
- updated to 0.7 (untested), removed obsolete patches
- restored am110 patch which applies here

Revision 1.17  2006/11/16 19:07:35  czarny
- fresh and ready for ac260 and am110!

Revision 1.16  2006/09/01 10:59:21  czarny
- not only gtk-2.4 supported

Revision 1.15  2006/04/22 01:37:15  psz
- added missing BR

Revision 1.14  2006/04/09 21:25:40  adgor
- Do not mess in the %{datadir}/applnk dir
- Proper category for kcmshell desktop file
- Release 2

Revision 1.13  2006/04/06 20:35:53  psz
- -kcm-fixinstallationdir.patch from Gentoo
- -dt.patch from Fedora
- -notebook.patch from Freedesktop
- build process fixed
- rel 1

Revision 1.12  2005/11/02 22:13:28  prism
- fix for black menus, thx to Kiesiu <kiesyoo(at)o2(.)pl>

Revision 1.11  2005/03/15 22:44:54  qboosh
- libtoolize not called - removed libtool BR

Revision 1.10  2005/03/14 19:05:48  glen
- updated to 0.6

Revision 1.9  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.8  2004/11/27 16:56:51  zbyniu
- BR: pkgconfig

Revision 1.7  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.6  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.5  2004/09/12 19:43:49  adamg
- reverted last change - it had proper group
- release 4

Revision 1.4  2004/09/12 17:16:13  adamg
- fixed group
- release 3

Revision 1.3  2004/06/13 10:47:37  havner
- gtk 2.4
- rel up

Revision 1.2  2004/02/24 17:11:12  qboosh
- no *.la for gtk engines

Revision 1.1  2004/02/23 21:58:59  wolf
- blebleble
